Subject: [payload] I-D Action: draft-ietf-payload-rtp-h265-02.txt

From: [email-masked]
Date: Wed, 12 Feb 2014 09:46:56 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Audio/Video Transport Payloads Working Group of the IETF.

        Title           : RTP Payload Format for High Efficiency Video Coding
        Authors         : Ye-Kui Wang
                          Yago Sanchez
                          Thomas Schierl
                          Stephan Wenger
                          Miska M. Hannuksela
	Filename        : draft-ietf-payload-rtp-h265-02.txt
	Pages           : 83
	Date            : 2014-02-12

Abstract:
   This memo describes an RTP payload format for the video coding
   standard  ITU-T  Recommendation  H.265  and  ISO/IEC  International
   Standard 23008-2, both also known as High Efficiency Video Coding
   (HEVC) [HEVC], developed by the Joint Collaborative Team on Video
   Coding (JCT-VC).  The RTP payload format allows for packetization of
   one or more Network Abstraction Layer (NAL) units in each RTP packet
   payload, as well as fragmentation of a NAL unit into multiple RTP
   packets.  Furthermore, it supports transmission of an HEVC stream
   over a single as well as multiple RTP flows.  The payload format has
   wide applicability in videoconferencing, Internet video streaming,
   and high bit-rate entertainment-quality video, among others.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-payload-rtp-h265/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-payload-rtp-h265-02

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-payload-rtp-h265-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Wed, 12 Feb 2014 18:21:42 +0000

Here is a summary of the changes compared to -01: 
The authors have basically implemented topics that have been agreed at the previous IETF meeting and on the reflector, plus other editorial reviews and improvements.

A bit more in detail:
- Integrated the temporal scalability support (as agreed in Vancouver, and reflecting my comments on the reflector on 10/4/2013, and some other improvements by the authors of this draft)
- Changed the term "RTP packet stream" to "RTP stream", and SST and MST now stand for Single-Stream Transmission and Multi-Stream Transmission, respectively.
- Added some definitions related to MST (e.g. dependent RTP stream etc.), and added informative references to [I-D.ietf-avtcore-rtp-multi-stream] and [I-D.ietf-mmusic-sdp-bundle-negotiation].
- Added that "Receivers MUST support both SST and MST" in section 4.4.
- Removed tx-mode.
- Removed the definition of the SPLI (specific picture loss indication) feedback message and the text on its use with HEVC.
- Added some rules on parameter sets transmission, similar as but simpler than in RFC 6184.
- Added details that were missing for some references.
- Other editorial improvements.

In my understanding, currently we have only two minor remaining open issues, basically editorial, regarding the definition of MANE and the wording of "NAL-unit-like structures", which I believe are not easy to resolve and plan to resolve a bit later.

To me, the draft is mature enough to be WG-last-called, thus I'd request to issue the WG last call soon. Thanks!

BR, YK

-----Original Message-----
From: payload [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, February 12, 2014 9:47 AM
To: [email-masked]
Cc: [email-masked]
Subject: [payload] I-D Action: draft-ietf-payload-rtp-h265-02.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
payload mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/payload

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Wed, 12 Feb 2014 18:57:14 +0000

Typo correction to the sentence below: "not easy" to "easy".

In my understanding, currently we have only two minor remaining open issues, basically editorial, regarding the definition of MANE and the wording of "NAL-unit-like structures", which I believe are ***not easy*** to resolve and plan to resolve a bit later.

BR, YK

-----Original Message-----
From: Wang, Ye-Kui 
Sent: Wednesday, February 12, 2014 10:22 AM
To: [email-masked]
Subject: RE: [payload] I-D Action: draft-ietf-payload-rtp-h265-02.txt

A bit more in detail:

BR, YK

-----Original Message-----
From: payload [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, February 12, 2014 9:47 AM
To: [email-masked]
Cc: [email-masked]
Subject: [payload] I-D Action: draft-ietf-payload-rtp-h265-02.txt

Abstract: